# List recipient accounts (v1) (deprecated)

This is a deprecated v1 endpoint. For new integrations please use the [v2 list endpoint](/api-reference/legacy/recipient/recipientlist).
Fetch a list of the user's recipient accounts. Use the `currency` and `profile` parameters to filter by currency and/or the owning user profile ID. This endpoint does not support pagination, so please filter by currency to ensure a reasonable response time.
Both query parameters are optional.

Endpoint: GET /v1/accounts
Security: UserToken

## Query parameters:

  - `profileId` (integer)
    Filter by personal or business profile, returns only those owned by this profile.

  - `currency` (string)
    Filter responses by currency.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `id` (integer)
    Recipient account ID.
    Example: 40000000

  - `business` (integer | null)
    Business profile ID (if applicable).
    Example: null

  - `profile` (integer)
    Personal or business profile ID.
    Example: 30000000

  - `accountHolderName` (string)
    Recipient full name.
    Example: John Doe

  - `currency` (string)
    3 character currency code.
    Example: GBP

  - `country` (string)
    2 character country code.
    Example: GB

  - `type` (string)
    Recipient type.
    Example: sort_code

  - `details` (object)
    Currency-specific fields. All possible fields are returned, with unused fields set to `null`.

  - `details.legalType` (string)
    Recipient legal type.
    Example: PRIVATE

  - `details.sortCode` (string)
    Recipient bank sort code (GBP example).
    Example: 040075

  - `details.accountNumber` (string)
    Recipient bank account number (GBP example).
    Example: 37778842

  - `user` (integer)
    User that created or owns this recipient.
    Example: 10000000

  - `active` (boolean)
    Status of the recipient.
    Example: true

  - `ownedByCustomer` (boolean)
    Whether this account is owned by the sending user.
    Example: false

  - `confirmations` (object)
    Verification results for the recipient's details.

  - `confirmations.acceptedOutcomes` (boolean)
    Example: false

  - `confirmations.acceptedAt` (string | null)
    Example: null

  - `confirmations.quoteId` (string | null)
    Example: null

  - `confirmations.outcomes` (array)

